> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List information requests for an application

> Returns all information requests for a given onboarding application.



## OpenAPI

````yaml /autogenerated/openapi/onboarding.openapi.json get /applications/{applicationId}/information-requests
openapi: 3.1.0
info:
  title: Onboarding API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /applications/{applicationId}/information-requests:
    get:
      tags:
        - Onboarding
      summary: List information requests for an application
      description: Returns all information requests for a given onboarding application.
      operationId: listInformationRequests
      parameters:
        - name: applicationId
          in: path
          required: true
          schema:
            type:
              - string
            format: uuid
            maxLength: 36
            description: The ID of the application to work with.
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - array
                items:
                  type:
                    - object
                  properties:
                    id:
                      type:
                        - string
                      format: uuid
                      description: Unique identifier for the information request.
                    applicationId:
                      type:
                        - string
                      format: uuid
                      description: The onboarding application this request belongs to.
                    requiredInformation:
                      type:
                        - array
                      items:
                        type:
                          - object
                        properties:
                          expectedResponseType:
                            type:
                              - string
                            enum:
                              - file
                              - text
                              - boolean
                              - date
                            description: >-
                              The expected format of the response for this
                              information request item.
                            example: text
                          code:
                            type:
                              - string
                            minLength: 1
                            description: >-
                              The standardised code identifying the type of
                              information requested.
                            example: PROOF_OF_ADDRESS
                        required:
                          - expectedResponseType
                          - code
                      description: Information items requested from the applicant.
                    associatedPeople:
                      type:
                        - array
                      items:
                        type:
                          - object
                        properties:
                          id:
                            type:
                              - string
                            format: uuid
                            description: The associated person ID.
                          requiredInformation:
                            type:
                              - array
                            items:
                              type:
                                - object
                              properties:
                                expectedResponseType:
                                  type:
                                    - string
                                  enum:
                                    - file
                                    - text
                                    - boolean
                                    - date
                                  description: >-
                                    The expected format of the response for this
                                    information request item.
                                  example: text
                                code:
                                  type:
                                    - string
                                  minLength: 1
                                  description: >-
                                    The standardised code identifying the type
                                    of information requested.
                                  example: PROOF_OF_ADDRESS
                              required:
                                - expectedResponseType
                                - code
                            description: >-
                              Information items requested from this associated
                              person.
                        required:
                          - id
                          - requiredInformation
                      description: >-
                        Associated people with their own required information
                        items.
                    additionalInformation:
                      type:
                        - string
                        - 'null'
                      description: Free text context about why the information is needed.
                    createdAt:
                      type:
                        - string
                      format: date-time
                      description: >-
                        The date the Resource was initially created. ISO 8601
                        format without milliseconds.
                  required:
                    - id
                    - applicationId
                    - requiredInformation
                    - associatedPeople
                    - additionalInformation
                    - createdAt
                example:
                  - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    applicationId: 97ab27fa-30e2-43e3-92a3-160e80f4c0d5
                    requiredInformation:
                      - expectedResponseType: text
                        code: PROOF_OF_ADDRESS
                    associatedPeople:
                      - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                        requiredInformation:
                          - expectedResponseType: text
                            code: PROOF_OF_ADDRESS
                    additionalInformation: string
                    createdAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth: []
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````